/cosmos/bank/v1beta1/denoms_metadata/{denom}
GET
DenomMetadata queries the client metadata of a given coin denomination.
Path Parameters
denomstringrequired
denom is the coin denom to query the metadata for.Responses
Metadata represents a struct that describesa basic token.
descriptionstring
denomstring
denom represents the string name of the given denom unit (e.g uatom).exponentinteger
exponent represents power of 10 exponent that one mustraise the base_denom to in order to equal the given DenomUnit's denom1 denom = 10^exponent base_denom(e.g. with a base_denom of uatom, one can create a DenomUnit of 'atom' withexponent = 6, thus: 1 atom = 10^6 uatom).aliasesarray
basestring
base represents the base denom (should be the DenomUnit with exponent = 0).displaystring
display indicates the suggested denom that should bedisplayed in clients.namestring
symbolstring
Token symbol primarily displayed on exchanges (e.g., ATOM). May be the same as display.uristring
URI of a document (on-chain or off-chain) containing additional information. Optional.uri_hashstring
SHA256 hash of the document the URI points to. Used to verify document integrity. Optional.codestringrequired
Code identifying the cause of the failed request.messagestringrequired
Detailed message including the name and value of the invalid parameter.{"code": "ERROR_CODE","message": "An unexpected error response."}
cURL
curl -X GET 'https://rest-initia-mainnet.nodit.io/cosmos/bank/v1beta1/denoms_metadata/{denom}' \-H 'Content-Type: application/json' \-H 'X-API-KEY: nodit-demo'